diff --git a/drivers/net/bnx2x/bnx2x.c b/drivers/net/bnx2x/bnx2x.c
index 29c16bb207c7..5de0e5a65da1 100644
--- a/drivers/net/bnx2x/bnx2x.c
+++ b/drivers/net/bnx2x/bnx2x.c
@@ -2746,13 +2746,13 @@ static int bnx2x_nic_load_request(struct bnx2x_softc *sc, uint32_t * load_code)
 	(*load_code) = bnx2x_fw_command(sc, DRV_MSG_CODE_LOAD_REQ,
 				      DRV_MSG_CODE_LOAD_REQ_WITH_LFA);
 
-	/* if the MCP fails to respond we must abort */
+	/* if the MCP fails to respond we must exit */
 	if (!(*load_code)) {
 		PMD_DRV_LOG(NOTICE, sc, "MCP response failure!");
 		return -1;
 	}
 
-	/* if MCP refused then must abort */
+	/* if MCP refused then must exit */
 	if ((*load_code) == FW_MSG_CODE_DRV_LOAD_REFUSED) {
 		PMD_DRV_LOG(NOTICE, sc, "MCP refused load request");
 		return -1;
@@ -2784,7 +2784,7 @@ static int bnx2x_nic_load_analyze_req(struct bnx2x_softc *sc, uint32_t load_code
 		PMD_DRV_LOG(DEBUG, sc, "loaded FW 0x%08x / my FW 0x%08x",
 			    loaded_fw, my_fw);
 
-		/* abort nic load if version mismatch */
+		/* stop nic load if version mismatch */
 		if (my_fw != loaded_fw) {
 			PMD_DRV_LOG(NOTICE, sc,
 				    "FW 0x%08x already loaded (mine is 0x%08x)",
@@ -6324,7 +6324,7 @@ static int bnx2x_leader_reset(struct bnx2x_softc *sc)
 		load_code = bnx2x_fw_command(sc, DRV_MSG_CODE_LOAD_REQ,
 					   DRV_MSG_CODE_LOAD_REQ_WITH_LFA);
 		if (!load_code) {
-			PMD_DRV_LOG(NOTICE, sc, "MCP response failure, aborting");
+			PMD_DRV_LOG(NOTICE, sc, "MCP response failure");
 			rc = -1;
 			goto exit_leader_reset;
 		}
@@ -6332,14 +6332,14 @@ static int bnx2x_leader_reset(struct bnx2x_softc *sc)
 		if ((load_code != FW_MSG_CODE_DRV_LOAD_COMMON_CHIP) &&
 		    (load_code != FW_MSG_CODE_DRV_LOAD_COMMON)) {
 			PMD_DRV_LOG(NOTICE, sc,
-				    "MCP unexpected response, aborting");
+				    "MCP unexpected response");
 			rc = -1;
 			goto exit_leader_reset2;
 		}
 
 		load_code = bnx2x_fw_command(sc, DRV_MSG_CODE_LOAD_DONE, 0);
 		if (!load_code) {
-			PMD_DRV_LOG(NOTICE, sc, "MCP response failure, aborting");
+			PMD_DRV_LOG(NOTICE, sc, "MCP response failure");
 			rc = -1;
 			goto exit_leader_reset2;
 		}
@@ -7325,7 +7325,7 @@ int bnx2x_nic_load(struct bnx2x_softc *sc)
 			    bnx2x_fw_command(sc, DRV_MSG_CODE_LOAD_DONE, 0);
 			if (!load_code) {
 				PMD_DRV_LOG(NOTICE, sc,
-					    "MCP response failure, aborting");
+					    "MCP response failure");
 				sc->state = BNX2X_STATE_ERROR;
 				rc = -ENXIO;
 				goto bnx2x_nic_load_error3;
@@ -9091,7 +9091,7 @@ static int bnx2x_prev_mcp_done(struct bnx2x_softc *sc)
 	uint32_t rc = bnx2x_fw_command(sc, DRV_MSG_CODE_UNLOAD_DONE,
 				     DRV_MSG_CODE_UNLOAD_SKIP_LINK_RESET);
 	if (!rc) {
-		PMD_DRV_LOG(NOTICE, sc, "MCP response failure, aborting");
+		PMD_DRV_LOG(NOTICE, sc, "MCP response failure");
 		return -1;
 	}
 
@@ -9507,7 +9507,7 @@ static int bnx2x_prev_unload(struct bnx2x_softc *sc)
 		/* Lock MCP using an unload request */
 		fw = bnx2x_fw_command(sc, DRV_MSG_CODE_UNLOAD_REQ_WOL_DIS, 0);
 		if (!fw) {
-			PMD_DRV_LOG(NOTICE, sc, "MCP response failure, aborting");
+			PMD_DRV_LOG(NOTICE, sc, "MCP response failure");
 			rc = -1;
 			break;
 		}
diff --git a/drivers/net/bnx2x/bnx2x_vfpf.c b/drivers/net/bnx2x/bnx2x_vfpf.c
index 63953c2979ce..3f99be33168b 100644
--- a/drivers/net/bnx2x/bnx2x_vfpf.c
+++ b/drivers/net/bnx2x/bnx2x_vfpf.c
@@ -42,7 +42,7 @@ bnx2x_check_bull(struct bnx2x_softc *sc)
 			++tries;
 		}
 		if (tries == BNX2X_VF_BULLETIN_TRIES) {
-			PMD_DRV_LOG(ERR, sc, "pf to vf bulletin board crc was wrong %d consecutive times. Aborting",
+			PMD_DRV_LOG(ERR, sc, "pf to vf bulletin board crc was wrong %d consecutive times. Canceling",
 					tries);
 			return FALSE;
 		}
@@ -123,7 +123,7 @@ bnx2x_do_req4pf(struct bnx2x_softc *sc, rte_iova_t phys_addr)
 
 	bnx2x_check_bull(sc);
 	if (sc->old_bulletin.valid_bitmap & (1 << CHANNEL_DOWN)) {
-		PMD_DRV_LOG(ERR, sc, "channel is down. Aborting message sending");
+		PMD_DRV_LOG(ERR, sc, "channel is down. Canceling message sending");
 		return -EINVAL;
 	}
 
diff --git a/drivers/net/bnx2x/ecore_hsi.h b/drivers/net/bnx2x/ecore_hsi.h
index eda79408e95a..e33aeb4ea7c1 100644
--- a/drivers/net/bnx2x/ecore_hsi.h
+++ b/drivers/net/bnx2x/ecore_hsi.h
@@ -2693,11 +2693,11 @@ struct shmem2_region {
 	/* generic flags controlled by the driver */
 	uint32_t drv_flags;					/* 0x00bc */
 	#define DRV_FLAGS_DCB_CONFIGURED		0x0
-	#define DRV_FLAGS_DCB_CONFIGURATION_ABORTED	0x1
+	#define DRV_FLAGS_DCB_CONFIGURATION_CANCELED	0x1
 	#define DRV_FLAGS_DCB_MFW_CONFIGURED	0x2
 
     #define DRV_FLAGS_PORT_MASK	((1 << DRV_FLAGS_DCB_CONFIGURED) | \
-			(1 << DRV_FLAGS_DCB_CONFIGURATION_ABORTED) | \
+			(1 << DRV_FLAGS_DCB_CONFIGURATION_CANCELED) | \
 			(1 << DRV_FLAGS_DCB_MFW_CONFIGURED))
 	/* Port offset*/
 	#define DRV_FLAGS_P0_OFFSET		0
@@ -6368,7 +6368,7 @@ struct ustorm_per_queue_stats {
 	__le32 coalesced_pkts;
 	struct regpair coalesced_bytes;
 	__le32 coalesced_events;
-	__le32 coalesced_aborts;
+	__le32 coalesced_cancels;
 };
 
 /*
diff --git a/drivers/net/bnx2x/ecore_reg.h b/drivers/net/bnx2x/ecore_reg.h
index 6f7b0522f25c..a6e82d46d753 100644
--- a/drivers/net/bnx2x/ecore_reg.h
+++ b/drivers/net/bnx2x/ecore_reg.h
@@ -2594,7 +2594,7 @@
 /* [R 13] Details of first request received with error. [2:0] - PFID. [3] -
  * VF_VALID. [9:4] - VFID. [11:10] - Error Code - 0 - Indicates Completion
  * Timeout of a User Tx non-posted request. 1 - unsupported request. 2 -
- * completer abort. 3 - Illegal value for this field. [12] valid - indicates
+ * completer cancel. 3 - Illegal value for this field. [12] valid - indicates
  * if there was a completion error since the last time this register was
  * cleared.
  */
@@ -2602,7 +2602,7 @@
 /* [R 18] Details of first ATS Translation Completion request received with
  * error. [2:0] - PFID. [3] - VF_VALID. [9:4] - VFID. [11:10] - Error Code -
  * 0 - Indicates Completion Timeout of a User Tx non-posted request. 1 -
- * unsupported request. 2 - completer abort. 3 - Illegal value for this
+ * unsupported request. 2 - completer cancel. 3 - Illegal value for this
  * field. [16:12] - ATC OTB EntryID. [17] valid - indicates if there was a
  * completion error since the last time this register was cleared.
  */
@@ -4786,7 +4786,7 @@
 #define PXPCS_TL_CONTROL_5_DL_ERR_ATTN	   (1 << 22)   /*RO*/
 #define PXPCS_TL_CONTROL_5_TTX_ERR_NP_TAG_IN_USE   (1 << 21)   /*WC*/
 #define PXPCS_TL_CONTROL_5_TRX_ERR_UNEXP_RTAG  (1 << 20)   /*WC*/
-#define PXPCS_TL_CONTROL_5_PRI_SIG_TARGET_ABORT1   (1 << 19)   /*WC*/
+#define PXPCS_TL_CONTROL_5_PRI_SIG_TARGET_CANCEL1   (1 << 19)   /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_UNSPPORT1   (1 << 18)   /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_ECRC1   (1 << 17)   /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_MALF_TLP1   (1 << 16)   /*WC*/
@@ -4796,7 +4796,7 @@
 #define PXPCS_TL_CONTROL_5_ERR_CPL_TIMEOUT1    (1 << 12)   /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_FC_PRTL1	   (1 << 11)   /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_PSND_TLP1   (1 << 10)   /*WC*/
-#define PXPCS_TL_CONTROL_5_PRI_SIG_TARGET_ABORT	   (1 << 9)    /*WC*/
+#define PXPCS_TL_CONTROL_5_PRI_SIG_TARGET_CANCEL	   (1 << 9)    /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_UNSPPORT	   (1 << 8)    /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_ECRC    (1 << 7)    /*WC*/
 #define PXPCS_TL_CONTROL_5_ERR_MALF_TLP	   (1 << 6)    /*WC*/
@@ -4809,7 +4809,7 @@
 
 
 #define PXPCS_TL_FUNC345_STAT	   0x854
-#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_ABORT4    (1 << 29)   /* WC */
+#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_CANCEL4    (1 << 29)   /* WC */
 #define PXPCS_TL_FUNC345_STAT_ERR_UNSPPORT4 \
 	(1 << 28) /* Unsupported Request Error Status in function4, if \
 	set, generate pcie_err_attn output when this error is seen. WC */
@@ -4840,7 +4840,7 @@
 #define PXPCS_TL_FUNC345_STAT_ERR_PSND_TLP4 \
 	(1 << 20) /* Poisoned Error Status Status in function 4, if set, \
 	generate pcie_err_attn output when this error is seen.. WC */
-#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_ABORT3    (1 << 19)   /* WC */
+#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_CANCEL3    (1 << 19)   /* WC */
 #define PXPCS_TL_FUNC345_STAT_ERR_UNSPPORT3 \
 	(1 << 18) /* Unsupported Request Error Status in function3, if \
 	set, generate pcie_err_attn output when this error is seen. WC */
@@ -4871,7 +4871,7 @@
 #define PXPCS_TL_FUNC345_STAT_ERR_PSND_TLP3 \
 	(1 << 10) /* Poisoned Error Status Status in function 3, if set, \
 	generate pcie_err_attn output when this error is seen.. WC */
-#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_ABORT2    (1 << 9)    /* WC */
+#define PXPCS_TL_FUNC345_STAT_PRI_SIG_TARGET_CANCEL2    (1 << 9)    /* WC */
 #define PXPCS_TL_FUNC345_STAT_ERR_UNSPPORT2 \
 	(1 << 8) /* Unsupported Request Error Status for Function 2, if \
 	set, generate pcie_err_attn output when this error is seen. WC */
@@ -4905,7 +4905,7 @@
 
 
 #define PXPCS_TL_FUNC678_STAT  0x85C
-#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_ABORT7    (1 << 29)   /*	 WC */
+#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_CANCEL7    (1 << 29)   /*	 WC */
 #define PXPCS_TL_FUNC678_STAT_ERR_UNSPPORT7 \
 	(1 << 28) /* Unsupported Request Error Status in function7, if \
 	set, generate pcie_err_attn output when this error is seen. WC */
@@ -4936,7 +4936,7 @@
 #define PXPCS_TL_FUNC678_STAT_ERR_PSND_TLP7 \
 	(1 << 20) /* Poisoned Error Status Status in function 7, if set, \
 	generate pcie_err_attn output when this error is seen.. WC */
-#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_ABORT6    (1 << 19)    /*	  WC */
+#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_CANCEL6    (1 << 19)    /*	  WC */
 #define PXPCS_TL_FUNC678_STAT_ERR_UNSPPORT6 \
 	(1 << 18) /* Unsupported Request Error Status in function6, if \
 	set, generate pcie_err_attn output when this error is seen. WC */
@@ -4967,7 +4967,7 @@
 #define PXPCS_TL_FUNC678_STAT_ERR_PSND_TLP6 \
 	(1 << 10) /* Poisoned Error Status Status in function 6, if set, \
 	generate pcie_err_attn output when this error is seen.. WC */
-#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_ABORT5    (1 << 9) /*    WC */
+#define PXPCS_TL_FUNC678_STAT_PRI_SIG_TARGET_CANCEL5    (1 << 9) /*    WC */
 #define PXPCS_TL_FUNC678_STAT_ERR_UNSPPORT5 \
 	(1 << 8) /* Unsupported Request Error Status for Function 5, if \
 	set, generate pcie_err_attn output when this error is seen. WC */